Tag Parser: CppUtilities Namespace Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Functions
CppUtilities Namespace Reference

## Functions
std::ostream & | operator<< (std::ostream &os, const TagParser::TagTextEncoding &encoding)
| Prints a TagTextEncoding to enable CPPUNIT_ASSERT_EQUAL for tag values.
std::ostream & | operator<< (std::ostream &os, const TagParser::TagValue &tagValue)
| Prints a TagValue UTF-8 encoded to enable CPPUNIT_ASSERT_EQUAL for tag values.
std::ostream & | operator<< (std::ostream &os, const TagParser::PositionInSet &pos)
| Prints a PositionInSet to enable using it in CPPUNIT_ASSERT_EQUAL.
std::ostream & | operator<< (std::ostream &os, const TagParser::Size &size)
| Prints a Size to enable using it in CPPUNIT_ASSERT_EQUAL.
std::ostream & | operator<< (std::ostream &os, const TagParser::DiagMessage &diagMessage)
| Prints a DiagMessage to enable using it in CPPUNIT_ASSERT_EQUAL.
std::ostream & | operator<< (std::ostream &os, const TagParser::Locale &locale)
| Prints a Locale to enable using it in CPPUNIT_ASSERT_EQUAL.

## Function Documentation

## ◆ operator<<() [1/6]

std::ostream & CppUtilities::operator<< | ( | std::ostream & | os,
|  | const TagParser::DiagMessage & | diagMessage )
| inline

Prints a DiagMessage to enable using it in CPPUNIT_ASSERT_EQUAL.

Definition at line 46 of file helper.h.

## ◆ operator<<() [2/6]

std::ostream & CppUtilities::operator<< | ( | std::ostream & | os,
|  | const TagParser::Locale & | locale )
| inline

Prints a Locale to enable using it in CPPUNIT_ASSERT_EQUAL.

Definition at line 54 of file helper.h.

## ◆ operator<<() [3/6]

std::ostream & CppUtilities::operator<< | ( | std::ostream & | os,
|  | const TagParser::PositionInSet & | pos )
| inline

Prints a PositionInSet to enable using it in CPPUNIT_ASSERT_EQUAL.

Definition at line 30 of file helper.h.

## ◆ operator<<() [4/6]

std::ostream & CppUtilities::operator<< | ( | std::ostream & | os,
|  | const TagParser::Size & | size )
| inline

Prints a Size to enable using it in CPPUNIT_ASSERT_EQUAL.

Definition at line 38 of file helper.h.

## ◆ operator<<() [5/6]

std::ostream & CppUtilities::operator<< | ( | std::ostream & | os,
|  | const TagParser::TagTextEncoding & | encoding )

Prints a TagTextEncoding to enable CPPUNIT_ASSERT_EQUAL for tag values.

Definition at line 8 of file helper.cpp.

## ◆ operator<<() [6/6]

std::ostream & CppUtilities::operator<< | ( | std::ostream & | os,
|  | const TagParser::TagValue & | tagValue )
| inline

Prints a TagValue UTF-8 encoded to enable CPPUNIT_ASSERT_EQUAL for tag values.

Definition at line 18 of file helper.h.